Bug 60449 - gcc: "gcc.c-torture/compile/920501-18.c, -O3 -fssa" fails
gcc: "gcc.c-torture/compile/920501-18.c, -O3 -fssa" fails
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-27 16:18 EST by Christopher Holmes
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 17:58:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Holmes 2002-02-27 16:18:34 EST
Description of Problem:

	gcc: "gcc.c-torture/compile/920501-18.c, -O3 -fssa" fails

Version-Release number of selected component (if applicable):

	gcc-2.96-101.src.rpm

How Reproducible:

	always

Steps to Reproduce:

1. rpm -i gcc-2.96-101.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpm -ba gcc.spec
4. cd /usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux
5. make -k check
6. review gcc/testsuite/gcc.log

Actual Results:
Executing on host:
/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux/gcc/xgcc
-B/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux/gcc/  -w  -O3
-fssa   -c  -o
/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux/gcc/testsuite/920501-18.o
/usr/src/redhat/BUILD/gcc-2.96-20000731/gcc/testsuite/gcc.c-torture/compile/920501-18.c   
(timeout = 300)
/usr/src/redhat/BUILD/gcc-2.96-20000731/gcc/testsuite/gcc.c-torture/compile/920501-18.c:
In function `x':
/usr/src/redhat/BUILD/gcc-2.96-20000731/gcc/testsuite/gcc.c-torture/compile/920501-18.c:3:
Internal compiler error in simplify_unary_operation, at simplify-rtx.c:396
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
compiler exited with status 1
output is:
/usr/src/redhat/BUILD/gcc-2.96-20000731/gcc/testsuite/gcc.c-torture/compile/920501-18.c:
In function `x':
/usr/src/redhat/BUILD/gcc-2.96-20000731/gcc/testsuite/gcc.c-torture/compile/920501-18.c:3:
Internal compiler error in simplify_unary_operation, at simplify-rtx.c:396
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

FAIL: gcc.c-torture/compile/920501-18.c,  -O3 -fssa  


Expected Results:
PASS: gcc.c-torture/compile/920501-18.c,  -O3 -fssa

Additional Information:

	expected results achieved on intel RedHat7.2

Note You need to log in before you can comment on or make changes to this bug.